// Copyright 2012 Memorial-Sloan Kettering Cancer Center.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

var vis;

window.onload=function() {

    // id of Cytoscape Web container div
    var div_id = "cytoscapeweb";
    
    // you could also use other formats (e.g. GraphML) or grab the network data via AJAX
    var networ_json = {
        data: {

		nodes: [ { id: "1" }, { id: "2" } ],
		edges: [ { id: "2to1", target: "1", source: "2" } ]

        }
    };
    
    // initialization options
    var options = {
        // where you have the Cytoscape Web SWF
        swfPath: "swf/CytoscapeWeb",
        // where you have the Flash installer SWF
        flashInstallerPath: "swf/playerProductInstall"
    };

    var visual_style = {
	edges: {
		color: "#000000",
		width: { customMapper: { functionName: "customWidthMapper" } }
	}
    };
    
    // init and draw
    vis = new org.cytoscapeweb.Visualization(div_id, options);

    vis["customWidthMapper"] = function(data) {
	var cWidth = data["interaction"] * 1.0;
	if( cWidth > 0 ) {
		return cWidth;
	} else {
		return 1.0;
	}
    };

    vis.draw({ network: networ_json, visualStyle: visual_style });

    $(".load-network-link").click( function(e) {
	e.preventDefault();
	$("#network-identifier").html("Network: " + $(this).html().split("\.")[0]);

	var fileURL = $(this).attr("href");
	
	$.ajax({
            url : fileURL,
            dataType: "text",
            success : function (networkData) {
		vis.draw( { network: networkData, visualStyle: visual_style } );
            }
        });
    });
};
